Subject: Odd wu-ftpd problem...

From: Yoshi <[email-masked]>
Date: Sat, 4 Jan 1997 02:17:10 -0800 (PST)

Howdy folks.

	Recently, the majority of my users have been complaining that
	their FTP client (primarily CuteFTP and WS-FTP) "lock up" at
	the client command 'REST 0' (something to do with file resume, I
	think). The result is that the client ends up just sitting there,
	acting dead. After 5 minutes or so, the client comes up with an
	error, but the 'ftpd' process hangs and stays existant in the pro-
	cess table, with the status of 'IDLE'.

	Has anyone experienced this problem, or know how to solve it?

	I'm currently using wu-ftpd 2.4.2-academ-BETA-11 under Linux
	2.0.27 with gcc 2.7.2.1 and libc 5.4.17.

	Thanks :-)

--
| Jeremy Chadwick                                        [email-masked] |
| BendNET System/Network/Security Administrator                541-330-1995 |
| http://yoshi.parodius.com/                                                |

---

From: David Greenman <[email-masked]>
Date: Sat, 04 Jan 1997 03:34:28 -0800

>	Has anyone experienced this problem, or know how to solve it?

   Hmmm, I've gotten some similar complaints, but I've never been able to
narrow it down. We're actually not using wu-ftpd on ftp.cdrom.com any more,
but the code we're running has a similar lineage.

>	2.0.27 with gcc 2.7.2.1 and libc 5.4.17.

   While a "REST 0" from the client isn't a violation of the FTP protocol, it
is a rather strange thing to send to the server. It basically means "I want to
restart a previously interrupted file transfer at offset 0". The appropriate
response to this from the server is a 350 reply code, at which point the
client should issue a APPE, STOR, or RETR (append, store, or retrieve) command.
If you can monitor the TCP stream with a packet sniffer, then look and see if
the server is replying with a 350 reply code. If it is and the client doesn't
proceed, then the client software is broken. If the server doesn't send a
350 reply code, then the server is broken.
   See RFC 959 for more information.

-DG

David Greenman
Core-team/Principal Architect, The FreeBSD Project
(...and system administrator for wcarchive.cdrom.com)

---

From: [email-masked] (Alvin Oga)
Date: Sat, 4 Jan 1997 11:49:29 -0800 (PST)

HI all

>_ Yoshi wrote:

I have  2.0.27 w/ gcc2.7.2.1 w/ libc.s0.5.4.13 w/ wu-ftpd-*beta-11
( have no problems since most of my downloads are linux-to-linux for now )

you could have them try my machine:   planet.fef.com/pub   ( NOT ftp.* )

I only ask that you control who you tell for "testing" purposes...
They can try using my ftp site instead to check if the libc difference or
the way we have setup ~ftp/tree... makes a difference

	I have  ~ftp/virtual_ftp_domains/{bin,pub,lib,etc}

good luck & fingers crossed :-)
silly me...
alvin